# vim: set sw=4 ts=4 et:

Name:           umplayer
%define pkg_version 0.97
%define rev 180
Version:        %{pkg_version}+r%{rev}
Release:        1.3
Summary:        Complete Frontend for MPlayer
## svn co https://umplayer.svn.sourceforge.net/svnroot/umplayer/umplayer/trunk
Source:         umplayer-%{rev}.tar.bz2
Patch1:         umplayer-makeflags.patch
Patch2:         umplayer-disable-debug.patch
Patch3:         umplayer-fix_logging_format.patch
Patch4:         umplayer-force_svn_revision.patch
Patch5:         umplayer-qt_backport.patch
Source99:       umplayer-rpmlintrc
URL:            http://www.umplayer.com
Group:          Productivity/Multimedia/Video/Players
License:        GNU General Public License version 3 (GPL v3)
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
BuildRequires:  libqt4-devel >= 4.2.0
BuildRequires:  gcc-c++ libstdc++-devel make update-desktop-files
BuildRequires:  hicolor-icon-theme
BuildRequires:  fdupes
Recommends:     umplayer-themes
# requires at least this version for closed caption channel support:
Requires:       MPlayer >= 1.0rc4_r32607

%description
UMPlayer is the multimedia player that fills all your needs. With dozens of
advanced features and built-in codecs it can handle any media format, and can
play Audio CDs, DVDs, (S)VCDs, TV / Radio cards, YouTube™ and SHOUTcast™
streams and even incomplete or damaged media files.

%package themes
Summary:        Themes for UMPlayer
Group:          Productivity/Multimedia/Video/Players
%if 0%{?suse_version} >= 1120
BuildArch:      noarch
%endif
Requires:       %{name} = %{version}
Provides:       %{name}-theme-Black  = %{version}
Provides:       %{name}-theme-Gonzo  = %{version}
Provides:       %{name}-theme-Mac    = %{version}
Provides:       %{name}-theme-Modern = %{version}
Provides:       %{name}-theme-Vista  = %{version}

%description themes
UMPlayer is the multimedia player that fills all your needs. With dozens of
advanced features and built-in codecs it can handle any media format, and can
play Audio CDs, DVDs, (S)VCDs, TV / Radio cards, YouTube™ and SHOUTcast™
streams and even incomplete or damaged media files.

This package contains a set of themes for UMPlayer.

%lang_package
%prep
%setup -q -n "umplayer"
%patch1
%patch2
%patch3
%patch4
%patch5

# fix CRLF in .txt files:
%__sed -i 's/\r$//' *.txt

%build
v=$(cat src/version.cpp | grep "#define VERSION " | sed -e 's/#define VERSION "//g' -e 's/ /_/g' -e 's/"$//g')
[ "$v" = "%{pkg_version}" ] || { echo "Wrong version: sources say \"$v\", package says \"%{pkg_version}\"" >&2; exit 1; }

SVN_REVISION="%{rev}" \
export CXXFLAGS="%{optflags}"
export QMAKE_CXXFLAGS="%{optflags}"
%__make \
    QMAKE_OPTS="QMAKE_CXXFLAGS=\"%{optflags}\"" \
    MAKEFLAGS="%{?_smp_flags}" \
    CONF_PREFIX="" \
    PREFIX="%{_prefix}" \
    DOC_PATH="%{_docdir}/%{name}"

%install
SVN_REVISION="%{rev}" \
export CXXFLAGS="%{optflags}"
export QMAKE_CXXFLAGS="%{optflags}"
%__make \
    MAKEFLAGS="" \
    CONF_PREFIX="%{buildroot}" \
    PREFIX="%{buildroot}%{_prefix}" \
    DOC_PATH="%{buildroot}%{_docdir}/%{name}" \
    install

%__rm -rf "%{buildroot}%{_docdir}/%{name}"

for desktop in umplayer umplayer_enqueue; do
    %suse_update_desktop_file -r "$desktop" AudioVideo Player
done

LANGFILE="$PWD/umplayer.lang"
echo -n > "$LANGFILE"
find "%{buildroot}%{_datadir}/umplayer/translations" -name '*.qm' \
| while read qm; do
    qmfile=${qm##*/}
    l=${qmfile#*_}
    l=${l%%.qm}

    [ "$l" = "en_US" ] && continue    
    echo "%lang(${l}) %{_datadir}/umplayer/translations/${qmfile}" >> "$LANGFILE"
done
%__install -d "%{buildroot}%{_docdir}/%{name}"
pushd docs
for l in *; do
    %__cp -a "$l" "%{buildroot}%{_docdir}/%{name}/${l}"

    [ "$l" = "en" ] && continue
    echo "%lang(${l}) %{_docdir}/%{name}/${l}" >> "$LANGFILE"
done
popd #docs

%__rm gpl.txt # it's an exact copy of Copying.txt
%__install -m0644 Changelog *.txt "%{buildroot}%{_docdir}/%{name}"/

%fdupes -s "%{buildroot}%{_datadir}/umplayer/themes"

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc %dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/Changelog
%doc %{_docdir}/%{name}/*.txt
%doc %{_docdir}/%{name}/en
%{_bindir}/umplayer
%{_datadir}/applications/umplayer.desktop
%{_datadir}/applications/umplayer_enqueue.desktop
%{_datadir}/icons/*/*/apps/umplayer.*
%dir %{_datadir}/umplayer
%config %{_datadir}/umplayer/input.conf
%dir %{_datadir}/umplayer/shortcuts
%{_datadir}/umplayer/shortcuts/*.keys
%dir %{_datadir}/umplayer/translations
%doc %{_mandir}/man1/umplayer.1%{ext_man}
%lang(en_US) %{_datadir}/umplayer/translations/umplayer_en_US.qm

%files lang -f %{name}.lang
%defattr(-,root,root)

%files themes
%defattr(-,root,root)
%dir %{_datadir}/umplayer/themes
%{_datadir}/umplayer/themes/Black
%{_datadir}/umplayer/themes/Gonzo
%{_datadir}/umplayer/themes/Mac
%{_datadir}/umplayer/themes/Modern
%{_datadir}/umplayer/themes/Vista

%changelog
* Sat Aug 27 2011 pascal.bleser@opensuse.org
- update to revision 180:
  * memory overflow fix
  * German translation update
  * YouTube fix
  * fix floating control bug
  * background logo and drawing fixes
  * fixed font caching
* Mon Jun 20 2011 pascal.bleser@opensuse.org
- update to revision 171, which is upstream 0.97
- build with openSUSE compiler flags (including _FORTIFY_SOURCE and
  stack-protector)
* Sat Apr  2 2011 pascal.bleser@opensuse.org
- initial package, forked from smplayer.spec, for 0.95+r138
